class_name SettingsMenu extends Control

@export var tabs:TabBar
@export var tabControls:Array[Control]

func _ready() -> void:
  tabs.tab_changed.connect(onTabChanged)
  onTabChanged(tabs.current_tab)

func onTabChanged(tabIndex:int) -> void:
  for control in tabControls:
    control.visible = false
  
  if tabIndex >= 0 and tabIndex < tabControls.size():
    tabControls[tabIndex].visible = true
